org.h2.mvstore

## Class Page.PageReference

- java.lang.Object
- - org.h2.mvstore.Page.PageReference

Enclosing class:
  Page

    public static final class Page.PageReference
    extends java.lang.Object

A pointer to a page, either in-memory or using a page position.

### Field Summary

Fields
`static Page.PageReference` `EMPTY` Singleton object used when arrays of PageReference have not yet been filled.

### Constructor Summary

Constructors
Constructor and Description
`Page.PageReference(Page page)`

### Method Summary

Methods
`Page` `getPage()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### EMPTY

    public static final Page.PageReference EMPTY

Singleton object used when arrays of PageReference have not yet been filled.

### Constructor Detail

#### Page.PageReference

    public Page.PageReference(Page page)

### Method Detail

#### getPage

    public Page getPage()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`